Package org.apache.sysds.runtime.instructions

# Enum Class Instruction.IType

java.lang.Object
java.lang.Enum<Instruction.IType>
org.apache.sysds.runtime.instructions.Instruction.IType

All Implemented Interfaces:
  `Serializable`, `Comparable<Instruction.IType>`, `Constable`

Enclosing class:
  Instruction

public static enum Instruction.IType extends Enum<Instruction.IType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BREAKPOINT`
`CONTROL_PROGRAM`
`FEDERATED`
`GPU`
`OUT_OF_CORE`
`SPARK`

## Method Summary

Modifier and Type
Method
Description
`static Instruction.IType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Instruction.IType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONTROL_PROGRAM

public static final Instruction.IType CONTROL_PROGRAM

### BREAKPOINT

public static final Instruction.IType BREAKPOINT

### SPARK

public static final Instruction.IType SPARK

### GPU

public static final Instruction.IType GPU

### FEDERATED

public static final Instruction.IType FEDERATED

### OUT_OF_CORE

public static final Instruction.IType OUT_OF_CORE

## Method Details

### values

public static Instruction.IType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Instruction.IType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null